/*
 * (C) 2008  Torsten Neuer <tneuer@inwise.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: checksum.h,v 1.1.1.1 2008/04/27 13:19:05 tneuer Exp $
 *
 *  $Log: checksum.h,v $
 *  Revision 1.1.1.1  2008/04/27 13:19:05  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/10 13:54:06  tneuer
 *  Initial revision
 *
 */

#ifndef __CHECKSUM_H__
#define __CHECKSUM_H__

#include <libgimp/gimp.h>

/*
 *  Compute a (partial MD5) checksum of the drawable.
 *
 *  The checksum is to be used as the seed for the random number
 *  generator (so that all operations on identical drawables are
 *  reproducable, yet the random number seed is chosen so that the
 *  generated random numbers can still be considered random).
 */

guint32 compute_drawable_checksum (GimpDrawable * drawable);

#endif /* __CHECKSUM_H__ */
