/*
 * (C) 1997,2003  Jens Ch. Restemeier <jrestemeier@currantbun.com>
 *
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: pdb-name.h,v 1.4 2008/06/11 17:52:17 tneuer Exp $
 *
 *  $Log: pdb-name.h,v $
 *  Revision 1.4  2008/06/11 17:52:17  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.3  2008/05/23 15:26:20  tneuer
 *  uf2c now producing working native plug-ins from filter files
 *
 *  Revision 1.2  2008/05/21 12:30:40  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:02  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/19 19:03:39  tneuer
 *  Initial revision
 *
 */

#ifndef __PDB_NAME_H__
#define __PDB_NAME_H__

#include <glib/gtypes.h>


/*
 *  Create a PDB name from a prefix and a filter title.
 *
 *  The resulting string needs to be g_free()'d when
 *  not used any more.
 */

gchar * make_pdb_name (const gchar * const prefix,
	 	       const gchar * const filter,
		       const gchar         filler);

#endif /* __PDB_NAME_H__ */
