/*
 * (C) 1997,2003  Jens Ch. Restemeier <jrestemeier@currantbun.com>
 *
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: render.h,v 1.6 2008/06/16 09:38:21 tneuer Exp $
 *
 *  $Log: render.h,v $
 *  Revision 1.6  2008/06/16 09:38:21  tneuer
 *  Bugfix: 'z' parameter in source function must be unsigned
 *  Added channel variants of source function
 *
 *  Revision 1.5  2008/06/11 17:52:29  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.4  2008/06/07 14:58:26  tneuer
 *  New cosine and tangens tables to increase accuracy
 *
 *  Revision 1.3  2008/05/29 11:46:18  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.2  2008/05/26 15:10:56  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:02  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/01 16:06:30  tneuer
 *  Initial revision
 *
 */

#ifndef __RENDER_H__
#define __RENDER_H__

#include <libgimp/gimp.h>
#include <libgimp/gimpui.h>

#include "userfilter.h"



/*
 *  Retrieve pixel information at (xx,yy) for channel (zz)
 *  (used by the byte-code interpreter function p_src())
 */

gint drawable_src (const gint  xx,
		   const gint  yy,
		   const guint zz);

gint drawable_src_r (const gint xx,
		     const gint yy);

gint drawable_src_g (const gint xx,
		     const gint yy);

gint drawable_src_b (const gint xx,
		     const gint yy);

gint drawable_src_a (const gint xx,
		     const gint yy);

/*
 *  Apply the user defined algorithm to the drawable
 */

void render (GimpDrawable *      drawable,
	     GimpPreview *       preview,
	     const gboolean      stand_alone,
	     const gchar * const title);


#endif /* __RENDER_H__ */
